{{title='Investment Data – Economic'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{=form.custom.begin}}
    <div class="formInputs" id="formInvestment">
        {{if (goals['f_npv'] or goals['f_roi'] or goals['f_pb'] or goals['f_opexp']):}}
            <div id="t_investmentdata_f_lifetime_label"><div class="qmarkBefore" id="lifetime">&#8505</div>
                    {{=form.custom.label.f_lifetime}}:<span id="t_investmentdata_f_lifetime_description">Planned application lifetime</span>
            </div><div class="">{{=form.custom.widget.f_lifetime}} {{=form.custom.comment.f_lifetime}}</div>
            {{if (goals['f_npv']):}}
                <div id="t_investmentdata_f_interest_label"><div class="qmarkBefore" id="interest">&#8505</div>
                    {{=form.custom.label.f_interest}}:<span id="t_investmentdata_f_interest_description">Interest / Hurdle Rate for NPV calculation</span>
                </div><div class="">{{=form.custom.widget.f_interest}} {{=form.custom.comment.f_interest}}</div>
            {{pass}}
            <div class="formBlock">
                <div id="ncsInputs1"><p>Networked Control System</p>
                    <div class="inputDiv" id="sensorsDiv">
                        <div id="t_investmentdata_f_sensors_label"><div class="qmarkBefore" id="sensors">&#8505</div>Sensors:
                                <span id="t_investmentdata_f_sensors_description">5G sensors used by the application</span></div>
                        <div>{{=form.custom.label.f_sensors_num}}:</div><div>{{=form.custom.widget.f_sensors_num}} {{=form.custom.comment.f_sensors_num}}</div>
                        <div >{{=form.custom.label.f_sensors_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_sensors_cost}} {{=form.custom.comment.f_sensors_cost}}</div>
                    </div>
                    <div class="inputDiv" id="actuatorsDiv">
                        <div id="t_investmentdata_f_actuator_label"><div class="qmarkBefore" id="actuator">&#8505</div>Actuators:
                                <span id="t_investmentdata_f_actuator_description">Actuators used by the application.</span></div>
                        <div>{{=form.custom.label.f_actuator_num}}:</div><div>{{=form.custom.widget.f_actuator_num}} {{=form.custom.comment.f_actuator_num}}</div>
                        <div>{{=form.custom.label.f_actuator_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_actuator_cost}} {{=form.custom.comment.f_actuator_cost}}</div>
                    </div>
                    <div class="inputDiv" id="controllersDiv">
                        <div id="t_investmentdata_f_controller_label"><div class="qmarkBefore" id="controller">&#8505</div>Controller:
                                <span id="t_investmentdata_f_controller_description">Controllers used by the application</span></div>
                        <div>{{=form.custom.label.f_controller_num}}:</div><div>{{=form.custom.widget.f_controller_num}} {{=form.custom.comment.f_controller_num}}</div>
                        <div>{{=form.custom.label.f_controller_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_controller_cost}} {{=form.custom.comment.f_controller_cost}}</div>
                    </div>
                </div>
                <div id="ncsInputs2"><p>Network Architecture</p>
                    <div class="ncsPart">
                        <div class="inputDiv" id="basesDiv">
                            <div id="t_investmentdata_f_basestation_label"><div class="qmarkBefore" id="basestation">&#8505</div>Base stations:
                                    <span id="t_investmentdata_f_basestation_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_basestation_num}}:</div><div>{{=form.custom.widget.f_basestation_num}} {{=form.custom.comment.f_basestation_num}}</div>
                            <div >{{=form.custom.label.f_basestation_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_basestation_cost}} {{=form.custom.comment.f_basestation_cost}}</div>
                        </div>
                        <div class="inputDiv" id="coreDiv">
                            <div id="t_investmentdata_f_core_label"><div class="qmarkBefore" id="core">&#8505</div>Cores:
                                    <span id="t_investmentdata_f_core_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_core_num}}:</div><div>{{=form.custom.widget.f_core_num}} {{=form.custom.comment.f_core_num}}</div>
                            <div>{{=form.custom.label.f_core_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_core_cost}} {{=form.custom.comment.f_core_cost}}</div>
                        </div>
                        <div class="inputDiv" id="usereDiv">
                            <div id="t_investmentdata_f_userequipment_label"><div class="qmarkBefore" id="userequipment">&#8505</div>User equipment:
                                    <span id="t_investmentdata_f_userequipment_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_userequipment_num}}:</div><div>{{=form.custom.widget.f_userequipment_num}} {{=form.custom.comment.f_userequipment_num}}</div>
                            <div>{{=form.custom.label.f_userequipment_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_userequipment_cost}} {{=form.custom.comment.f_userequipment_cost}}</div>
                        </div>
                        <div class="inputDiv" id="controlnDiv">
                            <div id="t_investmentdata_f_controlnet_label"><div class="qmarkBefore" id="controlnet">&#8505</div>Control network:
                                    <span id="t_investmentdata_f_controlnet_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_controlnet_num}}:</div><div>{{=form.custom.widget.f_controlnet_num}} {{=form.custom.comment.f_controlnet_num}}</div>
                            <div>{{=form.custom.label.f_controlnet_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_controlnet_cost}} {{=form.custom.comment.f_controlnet_cost}}</div>
                        </div>
                        <div class="inputDiv" id="datanDiv">
                            <div id="t_investmentdata_f_datanet_label"><div class="qmarkBefore" id="datanet">&#8505</div>Data network:
                                    <span id="t_investmentdata_f_datanet_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_datanet_num}}:</div><div>{{=form.custom.widget.f_datanet_num}} {{=form.custom.comment.f_datanet_num}}</div>
                            <div>{{=form.custom.label.f_datanet_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_datanet_cost}} {{=form.custom.comment.f_datanet_cost}}</div>
                        </div>
                        <div class="inputDiv" id="userpDiv">
                            <div id="t_investmentdata_f_userplane_label"><div class="qmarkBefore" id="userplane">&#8505</div>User Plane:
                                    <span id="t_investmentdata_f_userplane_description">Sensor is ...</span></div>
                            <div>{{=form.custom.label.f_userplane_num}}:</div><div>{{=form.custom.widget.f_userplane_num}} {{=form.custom.comment.f_userplane_num}}</div>
                            <div>{{=form.custom.label.f_userplane_cost}}:</div><div class="blockEnd">{{=form.custom.widget.f_userplane_cost}} {{=form.custom.comment.f_userplane_cost}}</div>
                        </div>
                    </div>
                </div>
            </div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    <script>
        {{from gluon.serializers import json}}
        var checkList = {{=XML(json(db(db.t_statusquo).select().first().as_dict()))}};
        var ncsDiv1 = document.getElementById("ncsInputs1");
        var sensorsDiv = document.getElementById("sensorsDiv");
        var actuatorDiv = document.getElementById("actuatorsDiv");
        var controlerDiv = document.getElementById("controllersDiv");
        var ncsDiv2 = document.getElementById("ncsInputs2");
        var baseDiv = document.getElementById("basesDiv");
        var coreDiv = document.getElementById("coreDiv");
        var usereDiv = document.getElementById("usereDiv");
        var controlnDiv = document.getElementById("controlnDiv");
        var datanDiv = document.getElementById("datanDiv");
        var userpDiv = document.getElementById("userpDiv");
        function hideDivs(){
            /*Checks for the NCS System*/
            if (checkList.f_sensor == true){
                sensorsDiv.style.display = "none";
                }
            if (checkList.f_actuator == true){
                actuatorDiv.style.display = "none";
                }
            if (checkList.f_controller == true){
                controlerDiv.style.display = "none";
                }
            if (checkList.f_sensor == true && checkList.f_actuator == true && checkList.f_controller == true){
                ncsDiv1.style.display = "none";
            }
            /*Checks for the Network System*/
            if (checkList.f_basestation == true){
                baseDiv.style.display = "none";
                }
            if (checkList.f_core == true){
                coreDiv.style.display = "none";
                }
            if (checkList.f_userequipment == true){
                usereDiv.style.display = "none";
                }
            if (checkList.f_controlnet == true){
                controlnDiv.style.display = "none";
                }
            if (checkList.f_datanet == true){
                datanDiv.style.display = "none";
                }
            if (checkList.f_userplane == true){
                userpDiv.style.display = "none";
                }
            if (checkList.f_basestation == true && checkList.f_core == true && checkList.f_userequipment == true && checkList.f_controlnet == true && checkList.f_datanet == true && checkList.f_userplane == true){
                ncsDiv2.style.display = "none";
            }
        }
        hideDivs();
    </script>
</body>
